#ifndef _CONSOLE_H
#define _CONSOLE_H

// CHDK console OSD interface

// Note: used in modules and platform independent code. 
// Do not add platform dependent stuff in here (#ifdef/#endif compile options or camera dependent values)

extern void console_close();
extern void console_clear();
extern void console_add_line(const char *str);
extern void console_draw(int force_redraw);
extern void console_set_layout(short x1, short y1, short x2, short y2);
extern void console_redraw();
extern void console_set_autoredraw(short val);

extern short console_displayed;

#endif // _CONSOLE_H

